using System;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Wo_WorkOrderTaskHasten:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wo_WorkOrderTaskHasten
	{
		public T_Wo_WorkOrderTaskHasten()
		{}
		#region Model
		private int _f_hastenid;
		private int? _f_workorderid;
		private int? _f_taskid;
		private int? _f_deptid;
		private int? _f_userid;
		private int? _f_deptidby;
		private int? _f_useridby;
		private DateTime? _f_hastendate;
		private int? _f_hastentype;
		private string _f_content;
		private int? _f_showflag;
		private DateTime? _f_showdate;
		private int? _f_deleteflag;
		/// <summary>
		/// 催办记录Id
		/// </summary>
		public int F_HASTENID
		{
			set{ _f_hastenid=value;}
			get{return _f_hastenid;}
		}
		/// <summary>
		/// 工单Id
		/// </summary>
		public int? F_WORKORDERID
		{
			set{ _f_workorderid=value;}
			get{return _f_workorderid;}
		}
		/// <summary>
		/// 工单任务Id
		/// </summary>
		public int? F_TASKID
		{
			set{ _f_taskid=value;}
			get{return _f_taskid;}
		}
		/// <summary>
		/// 催办人单位
		/// </summary>
		public int? F_DEPTID
		{
			set{ _f_deptid=value;}
			get{return _f_deptid;}
		}
		/// <summary>
		/// 催办人
		/// </summary>
		public int? F_USERID
		{
			set{ _f_userid=value;}
			get{return _f_userid;}
		}
		/// <summary>
		/// 被催办人单位
		/// </summary>
		public int? F_DEPTIDBY
		{
			set{ _f_deptidby=value;}
			get{return _f_deptidby;}
		}
		/// <summary>
		/// 被催办人
		/// </summary>
		public int? F_USERIDBY
		{
			set{ _f_useridby=value;}
			get{return _f_useridby;}
		}
		/// <summary>
		/// 催办时间
		/// </summary>
		public DateTime? F_HASTENDATE
		{
			set{ _f_hastendate=value;}
			get{return _f_hastendate;}
		}
		/// <summary>
		/// 催办类型(0电话1短信2本系统)
		/// </summary>
		public int? F_HASTENTYPE
		{
			set{ _f_hastentype=value;}
			get{return _f_hastentype;}
		}
		/// <summary>
		/// 催办内容
		/// </summary>
		public string F_CONTENT
		{
			set{ _f_content=value;}
			get{return _f_content;}
		}
		/// <summary>
		/// 查看标志(0未看1已看)
		/// </summary>
		public int? F_SHOWFLAG
		{
			set{ _f_showflag=value;}
			get{return _f_showflag;}
		}
		/// <summary>
		/// 查看时间
		/// </summary>
		public DateTime? F_SHOWDATE
		{
			set{ _f_showdate=value;}
			get{return _f_showdate;}
		}
		/// <summary>
		/// 删除标志
		/// </summary>
		public int? F_DELETEFLAG
		{
			set{ _f_deleteflag=value;}
			get{return _f_deleteflag;}
		}
		#endregion Model

	}
}

